Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1672432 - Group and module operations in transaction table not marked for translation
Summary: Group and module operations in transaction table not marked for translation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-04 22:38 UTC by Rafal Luzynski
Modified: 2019-02-21 02:56 UTC (History)
9 users (show)

Fixed In Version: dnf-4.1.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 02:56:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Rafal Luzynski 2019-02-04 22:38:19 UTC
Description of problem:

Some new actions have been added to the summary of actions to be performed in the next transaction, e.g.:

"Installing Environment Groups"
"Upgrading Environment Groups"
"Installing Groups"
"Upgrading Groups"
"Removing Groups"

etc. It looks suspicious to me that those strings are not marked for translation, e.g,: _("Installing Environment Groups") and so on.


Version-Release number of selected component (if applicable):

dnf 4.0.10 and newer


How reproducible:

Always, I guess.


Steps to Reproduce:

Honestly I don't know. I've never seen this bug in action, just noticed looking at the source code. I guess one must perform any specific operation in a non-English locale.


Actual results:

The messages mentioned in the beginning of this report always appear in English and translators have no way to provide the translated version.


Expected results:

Translators should be able to provide the translated version via Zanata and eventually the users should see the messages translated to their preferred language.


Additional info:

See the upstream commit: https://github.com/rpm-software-management/dnf/commit/8d3ca9fae100a83f293fefb7124631d49ace8854#diff-644eea5df29c9388080171891ac12ba5

Comment 1 Marek Blaha 2019-02-05 06:52:33 UTC
Thanks for catching this. This is clearly a bug and PR https://github.com/rpm-software-management/dnf/pull/1314 should fix it.

Comment 2 Fedora Update System 2019-02-18 10:15:23 UTC
libcomps-0.1.10-2.fc29 libdnf-0.26.0-1.fc29 dnf-plugins-core-4.0.4-1.fc29 dnf-plugins-extras-4.0.2-1.fc29 dnf-4.1.0-1.fc29 librepo-1.9.4-1.fc29 createrepo_c-0.12.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 3 Fedora Update System 2019-02-19 06:27:23 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1fccede810

Comment 4 Fedora Update System 2019-02-21 02:56:56 UTC
createrepo_c-0.12.1-1.fc29, dnf-4.1.0-1.fc29, dnf-plugins-core-4.0.4-1.fc29, dnf-plugins-extras-4.0.2-1.fc29, libcomps-0.1.10-2.fc29, libdnf-0.26.0-1.fc29, librepo-1.9.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.